curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/inventory-aging' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"as_of": "string",
"layers": [
{
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"received_at": "2026-08-31T14:22:05Z",
"sku": "SKU-TENT-2P-GRN",
"unit_cost": "49.00"
}
]
}'
{
"as_of": "string",
"buckets": [
{
"label": "Replacement tent pole set",
"max_days": 1,
"min_days": 1,
"quantity": "string",
"value": "49.00"
}
],
"total_quantity": "string",
"total_value": "49.00"
}
Inventory aging
Inventory aging
POST
/
api
/
v1
/
reports
/
inventory-aging
curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/inventory-aging' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"as_of": "string",
"layers": [
{
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"received_at": "2026-08-31T14:22:05Z",
"sku": "SKU-TENT-2P-GRN",
"unit_cost": "49.00"
}
]
}'
{
"as_of": "string",
"buckets": [
{
"label": "Replacement tent pole set",
"max_days": 1,
"min_days": 1,
"quantity": "string",
"value": "49.00"
}
],
"total_quantity": "string",
"total_value": "49.00"
}
Request body
InventoryAgingRequest
string,null
As-of date (
YYYY-MM-DD); defaults to today when omitted.AgingLayerRequest[]
required
Response
InventoryAgingResponse
string
required
AgingBucketResponse[]
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/reports/inventory-aging' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"as_of": "string",
"layers": [
{
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"received_at": "2026-08-31T14:22:05Z",
"sku": "SKU-TENT-2P-GRN",
"unit_cost": "49.00"
}
]
}'
{
"as_of": "string",
"buckets": [
{
"label": "Replacement tent pole set",
"max_days": 1,
"min_days": 1,
"quantity": "string",
"value": "49.00"
}
],
"total_quantity": "string",
"total_value": "49.00"
}
Last modified on August 31, 2026